utl::_1wire_id_t Class Reference

`#include <_1wire_id.h>`

Inheritance diagram for utl::_1wire_id_t:

## Public Member Functions

Constructors
| _1wire_id_t () noexcept
| _1wire_id_t (const _1wire_id_t &id) noexcept
uint8_t & | crc8 () noexcept
const uint8_t & | crc8 () const noexcept
Public Member Functions inherited from utl::id_t< uint8_t, 8 >
void | fill (const value_type &v)
void | swap (id_t &other) noexcept
iterator | begin () noexcept
const_iterator | begin () const noexcept
iterator | end () noexcept
const_iterator | end () const noexcept
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept
reverse_iterator | rbegin () noexcept
const_reverse_iterator | rbegin () const noexcept
reverse_iterator | rend () noexcept
const_reverse_iterator | rend () const noexcept
const_reverse_iterator | crbegin () const noexcept
const_reverse_iterator | crend () const noexcept
constexpr size_type | size () const noexcept
constexpr size_type | max_size () const noexcept
constexpr bool | empty () const noexcept
reference | operator[] (size_type n) noexcept
| Operator []. More...
constexpr const_reference | operator[] (size_type n) const noexcept
| Operator [] for const. More...
reference | at (size_type n) noexcept
constexpr const_reference | at (size_type n) const noexcept
| Compile time boundary check dereference operator. More...
constexpr bool | bit (uint8_t bit) const noexcept
void | bit (uint8_t bit, bool v) noexcept
reference | front () noexcept
constexpr const_reference | front () const noexcept
reference | back () noexcept
constexpr const_reference | back () const noexcept
pointer | data () noexcept
const_pointer | data () const noexcept

## Static Public Member Functions

static int | compare (const _1wire_id_t &lhs, const _1wire_id_t &rhs) noexcept
| Full compare two dev_ids. More...

## Static Private Attributes

static const _1wire_id_t | nullDev_ { }

## User functionality provided by the interface

uint8_t & | family () noexcept
const uint8_t & | family () const noexcept
static constexpr const _1wire_id_t & | nullDev ()
| Return nullDev reference. More...

## Additional Inherited Members

Public Types inherited from utl::id_t< uint8_t, 8 >
using | value_type = uint8_t
using | pointer = value_type *
using | const_pointer = const value_type *
using | reference = value_type &
using | const_reference = const value_type &
using | iterator = value_type *
using | const_iterator = const value_type *
using | size_type = size_t
using | difference_type = std::ptrdiff_t
using | reverse_iterator = std::reverse_iterator< iterator >
using | const_reverse_iterator = std::reverse_iterator< const_iterator >
using | traits_t = id_traits< uint8_t, _Nm >
Public Attributes inherited from utl::id_t< uint8_t, 8 >
traits_t::type | _data

## Detailed Description

1-wire Rom-ID type

Definition at line 32 of file _1wire_id.h.

## Constructor & Destructor Documentation

## _1wire_id_t() [1/2]

utl::_1wire_id_t::_1wire_id_t | ( |  | ) |

inlinenoexcept

Definition at line 39 of file _1wire_id.h.

## _1wire_id_t() [2/2]

utl::_1wire_id_t::_1wire_id_t | ( | const _1wire_id_t & | id | ) |

inlinenoexcept

Definition at line 41 of file _1wire_id.h.

## Member Function Documentation

## compare()

static int utl::_1wire_id_t::compare | ( | const _1wire_id_t & | lhs,
|  | const _1wire_id_t & | rhs
| ) |  |

inlinestaticnoexcept

Full compare two dev_ids.

Returns
  The comparison result
  - 0 dev_ids are equal
  - -1 dev_id lhs is smaller than dev_id rhs
  - 1 dev_id rhs is smaller than dev_id lhs

Definition at line 72 of file _1wire_id.h.

## crc8() [1/2]

uint8_t& utl::_1wire_id_t::crc8 | ( |  | ) |

inlinenoexcept

Access the CRC8 byte (The MSB).

Definition at line 60 of file _1wire_id.h.

## crc8() [2/2]

const uint8_t& utl::_1wire_id_t::crc8 | ( |  | ) | const

inlinenoexcept

Definition at line 61 of file _1wire_id.h.

## family() [1/2]

uint8_t& utl::_1wire_id_t::family | ( |  | ) |

inlinenoexcept

Return the RomID family code (The LSB)

Definition at line 54 of file _1wire_id.h.

## family() [2/2]

const uint8_t& utl::_1wire_id_t::family | ( |  | ) | const

inlinenoexcept

Definition at line 55 of file _1wire_id.h.

## nullDev()

static constexpr const _1wire_id_t& utl::_1wire_id_t::nullDev | ( |  | ) |

inlinestatic

Return nullDev reference.

Definition at line 50 of file _1wire_id.h.

## Member Data Documentation

## nullDev_

const _1wire_id_t utl::_1wire_id_t::nullDev_ { }

staticprivate

Self referenced special null Rom_ID object as static

Definition at line 83 of file _1wire_id.h.

The documentation for this class was generated from the following file:

- include/utl/com/_1wire_id.h